"""Create group

Revision ID: 148b19293610
Revises: 9ee534d043cb
Create Date: 2022-06-19 04:58:49.147435

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '148b19293610'
down_revision = '9ee534d043cb'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('group',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('code', sa.String(), nullable=False),
        sa.Column('title', sa.String(), nullable=True),
        sa.Column('is_active', sa.Boolean(), nullable=True),
        sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_group_code'), 'group', ['code'], unique=True)
    op.create_index(op.f('ix_group_id'), 'group', ['id'], unique=False)
    op.create_index(op.f('ix_group_title'), 'group', ['title'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_group_title'), table_name='group')
    op.drop_index(op.f('ix_group_id'), table_name='group')
    op.drop_index(op.f('ix_group_code'), table_name='group')
    op.drop_table('group')
    # ### end Alembic commands ###
