"""Add access entity

Revision ID: 359ab8aacbb9
Revises: 148b19293610
Create Date: 2022-06-28 11:13:14.341056

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '359ab8aacbb9'
down_revision = '148b19293610'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('access',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('database', sa.String(), nullable=True),
        sa.Column('db_schema', sa.String(), nullable=True),
        sa.Column('is_active', sa.Boolean(), nullable=True),
        sa.Column('user_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['user_id'], ['user.id'], ),
        sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_access_database'), 'access', ['database'], unique=False)
    op.create_index(op.f('ix_access_db_schema'), 'access', ['db_schema'], unique=False)
    op.create_index(op.f('ix_access_id'), 'access', ['id'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_access_id'), table_name='access')
    op.drop_index(op.f('ix_access_db_schema'), table_name='access')
    op.drop_index(op.f('ix_access_database'), table_name='access')
    op.drop_table('access')
    # ### end Alembic commands ###
